pcl::io::LZFDepth16ImageReader Class Reference
Module io

PCL-LZF 16-bit depth image format reader. More...

`#include <pcl/io/lzf_image_io.h>`

Inheritance diagram for pcl::io::LZFDepth16ImageReader:

## Public Member Functions

| LZFDepth16ImageReader ()
| Empty constructor. More...
virtual | ~LZFDepth16ImageReader ()
| Empty destructor. More...
template<typename PointT >
bool | read (const std::string &filename, pcl::PointCloud< PointT > &cloud)
| Read the data stored in a PCLZF depth file and convert it to a pcl::PointCloud type. More...
template<typename PointT >
bool | readOMP (const std::string &filename, pcl::PointCloud< PointT > &cloud, unsigned int num_threads=0)
| Read the data stored in a PCLZF depth file and convert it to a pcl::PointCloud type. More...
virtual bool | readParameters (std::istream &is)
| Read camera parameters from a given stream and store them internally. More...
Public Member Functions inherited from pcl::io::LZFImageReader
| LZFImageReader ()
| Empty constructor. More...
virtual | ~LZFImageReader ()
| Empty destructor. More...
bool | readParameters (const std::string &filename)
| Read camera parameters from a given file and store them internally. More...
void | setParameters (const CameraParameters &parameters)
| Read the parameters from a struct instead. More...
CameraParameters | getParameters () const
| Get the camera parameters currently being used returns a CameraParameters struct. More...
uint32_t | getWidth () const
| Get the image width as read from disk. More...
uint32_t | getHeight () const
| Get the image height as read from disk. More...
std::string | getImageType () const
| Get the type of the image read from disk. More...

## Protected Attributes

double | z_multiplication_factor_
| Z-value depth multiplication factor (i.e., if raw data is in [mm] and we want [m], we need to multiply with 0.001) More...
Protected Attributes inherited from pcl::io::LZFImageReader
uint32_t | width_
| The image width, as read from the file. More...
uint32_t | height_
| The image height, as read from the file. More...
std::string | image_type_identifier_
| The image type string, as read from the file. More...
CameraParameters | parameters_
| Internal set of camera parameters. More...

## Additional Inherited Members

Protected Member Functions inherited from pcl::io::LZFImageReader
bool | loadImageBlob (const std::string &filename, std::vector< char > &data, uint32_t &uncompressed_size)
| Load a compressed image array from disk. More...
bool | decompress (const std::vector< char > &input, std::vector< char > &output)
| Realtime LZF decompression. More...

## Detailed Description

PCL-LZF 16-bit depth image format reader.

The main advantage of using the PCL-LZF image I/O routines is a very good file size versus I/O speed ratio. Tests performed using LZF, Snappy, ZIP, GZ2, BZIP2, as well as PNG, JPEG, and TIFF compression have shown that the internal PCL LZF methods provide the best score for the types of applications PCL is suited for.

Author
  Radu B. Rusu

Definition at line 187 of file lzf_image_io.h.

## Constructor & Destructor Documentation

## LZFDepth16ImageReader()

pcl::io::LZFDepth16ImageReader::LZFDepth16ImageReader | ( |  | ) |

inline

Empty constructor.

Definition at line 193 of file lzf_image_io.h.

## ~LZFDepth16ImageReader()

virtual pcl::io::LZFDepth16ImageReader::~LZFDepth16ImageReader | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 199 of file lzf_image_io.h.

References pcl::read().

## Member Function Documentation

## read()

template<typename PointT >

bool pcl::io::LZFDepth16ImageReader::read | ( | const std::string & | filename,
|  | pcl::PointCloud< PointT > & | cloud
| ) |  |

Read the data stored in a PCLZF depth file and convert it to a pcl::PointCloud type.

Parameters

  [in] | filename | the file name to read the data from
  [out] | cloud | the resultant output point cloud

Definition at line 48 of file lzf_image_io.hpp.

References pcl::io::LZFImageReader::decompress(), pcl::io::CameraParameters::focal_length_x, pcl::io::CameraParameters::focal_length_y, pcl::io::LZFImageReader::getHeight(), pcl::io::LZFImageReader::getImageType(), pcl::io::LZFImageReader::getWidth(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::is_dense, pcl::io::LZFImageReader::loadImageBlob(), pcl::io::LZFImageReader::parameters_, pcl::PointCloud< PointT >::points, pcl::io::CameraParameters::principal_point_x, pcl::io::CameraParameters::principal_point_y, pcl::PointCloud< PointT >::resize(), pcl::PointCloud< PointT >::sensor_orientation_, pcl::PointCloud< PointT >::sensor_origin_, pcl::PointCloud< PointT >::width, and z_multiplication_factor_.

## readOMP()

template<typename PointT >

bool pcl::io::LZFDepth16ImageReader::readOMP | ( | const std::string & | filename,
|  | pcl::PointCloud< PointT > & | cloud,
|  | unsigned int | num_threads = `0`
| ) |  |

Read the data stored in a PCLZF depth file and convert it to a pcl::PointCloud type.

Parameters

  [in] | filename | the file name to read the data from
  [in] | num_threads | The number of threads to use. 0 indicates OpenMP is free to choose.
  [out] | cloud | the resultant output point cloud

Definition at line 113 of file lzf_image_io.hpp.

References pcl::io::LZFImageReader::decompress(), pcl::io::CameraParameters::focal_length_x, pcl::io::CameraParameters::focal_length_y, pcl::io::LZFImageReader::getHeight(), pcl::io::LZFImageReader::getImageType(), pcl::io::LZFImageReader::getWidth(), pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::is_dense, pcl::io::LZFImageReader::loadImageBlob(), pcl::io::LZFImageReader::parameters_, pcl::PointCloud< PointT >::points, pcl::io::CameraParameters::principal_point_x, pcl::io::CameraParameters::principal_point_y, pcl::PointCloud< PointT >::resize(), pcl::PointCloud< PointT >::sensor_orientation_, pcl::PointCloud< PointT >::sensor_origin_, pcl::PointCloud< PointT >::size(), pcl::PointCloud< PointT >::width, and z_multiplication_factor_.

## readParameters()

virtual bool pcl::io::LZFDepth16ImageReader::readParameters | ( | std::istream & | is | ) |

virtual

Read camera parameters from a given stream and store them internally.

The parameters will be read from the <depth> ... </depth> tag.

Returns
  true if operation successful, false otherwise

Reimplemented from pcl::io::LZFImageReader.

## Member Data Documentation

## z_multiplication_factor_

double pcl::io::LZFDepth16ImageReader::z_multiplication_factor_

protected

Z-value depth multiplication factor (i.e., if raw data is in [mm] and we want [m], we need to multiply with 0.001)

Definition at line 228 of file lzf_image_io.h.

Referenced by read(), and readOMP().

The documentation for this class was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/io/include/pcl/io/lzf_image_io.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/io/include/pcl/io/impl/lzf_image_io.hpp